Uploaded image for project: 'PUBLIC - Liferay Documentation'
  1. PUBLIC - Liferay Documentation
  2. LRDOCS-6859

Maven archetypes are intended for all recent portal releases

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Fix Version/s: 7.0.x, 7.1.x
    • Component/s: Dev Tools
    • Labels:
      None

      Description

      There is a line that is incorrect in our Maven docs when choosing an archetype version:

      In some cases, an archetype provides multiple versions of itself for you to select. Make sure to select the archetype version that corresponds with the Liferay Portal instance you're using (e.g., 1.0.0, 1.0.1, etc.).

      The archetype versions provided are compatible with all 7.x versions of Liferay Portal. Therefore, it's not necessary to choose "the archetype version that corresponds with the Liferay Portal instance you're using." It's recommended to choose the latest version.

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Packages

                Version Package
                7.0.x
                7.1.x